Instances
service daemons
Instance actions for services that support named instances, especially Minecraft and Unturned.
Create a new instance
PUT
Authenticated
Creates a new named service instance.
Request URL
https://api.creeper.host/{daemon}/createinstanceUse the installed service name in the first path segment, for example mc, unturned, ark, or valheim.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"nickname": "Instance name"
}
Response 200
{
"status": "success",
"instance": {
"id": "ut-59022ccd106fc",
"displayName": "Instance name",
"daemon": "RocketLauncher.exe",
"path": "/home/minecraft/unturned/ut-instances/ut-59022ccd106fc/",
"port": 27015,
"memory": "adaptive",
"argType": "memory"
},
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Destroy an instance
PUT
Authenticated
Destroys a service instance.
Request URL
https://api.creeper.host/{daemon}/destroyinstanceUse the installed service name in the first path segment, for example mc, unturned, ark, or valheim.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "ut-59022ccd106fc"
}
Response 200
{
"status": "success",
"message": "The instance has been destroyed.",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Get instance data
PUT
Authenticated
Returns metadata for a service instance.
Request URL
https://api.creeper.host/{daemon}/datainstanceUse the installed service name in the first path segment, for example mc, unturned, ark, or valheim.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "ut-59022ccd106fc",
"instance": "ut-59022ccd106fc"
}
Response 200
{
"status": "success",
"instance": {
"id": "ut-5902260d6b88e",
"displayName": "Test",
"daemon": "RocketLauncher.exe",
"path": "/home/minecraft/unturned/ut-instances/ut-5902260d6b88e/",
"port": 27015,
"memory": "adaptive",
"argType": "memory"
},
"match": "ut-5902260d6b88e",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Export instance
PUT
Authenticated
Exports a Minecraft instance package.
Request URL
https://api.creeper.host/{daemon}/exportinstanceMinecraft is the documented daemon for this request.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"id": "mc-59026a225dc14",
"instance": "mc-59026a225dc14"
}
Response 200
{
"status": "success",
"message": "The instance named 'testinstance' has been exported.",
"url": "http://fdn.redstone.tech/instances/server.mc-59026a225dc14.1493490791.instance",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Import instance
PUT
Authenticated
Imports a Minecraft instance package from a URL.
Request URL
https://api.creeper.host/{daemon}/importinstanceMinecraft is the documented daemon for this request.
Headers
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"url": "http://fdn.redstone.tech/instances/server.mc-59026a225dc14.1493490791.instance",
"instance": "mc-5902260d6b88e"
}
Response 200
{
"status": "success",
"message": "The instance 'mc-5904dd8d16011' has been imported",
"instance": {
"id": "mc-5904dd8d16011",
"displayName": "mc-5904dd8d16011",
"jar": "Auto-Detect",
"path": "/home/minecraft/mc-instances/mc-5904dd8d16011/",
"infoPort": 25566,
"port": 25565,
"memory": "adaptive",
"argType": "memory",
"lastUpdated": 1493491085
},
"endPoint": "aries-production-59c48bc84-hpqw4"
}